%{?nodejs_find_provides_and_requires}

%global packagename array-flatten
%global enable_tests 1

Name:		nodejs-array-flatten
Version:	2.0.0
Release:	1%{?dist}
Summary:	Flatten an array of nested arrays into a single flat array

License:	MIT
URL:		https://github.com/blakeembrey/array-flatten.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/blakeembrey/array-flatten/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Flatten an array of nested arrays into a single flat array


%prep
%setup -q -n package
# setup the test
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json array-flatten.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Feb 03 2016 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Update to upstream 2.0.0 release

* Mon Nov 09 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-2
- Remove test.js from installed files

* Thu Nov  5 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
